Subject: bug#8289: distcheck and make dvi

From: Jim Meyering <[email-masked]>
Date: Fri, 22 May 2020 18:23:17 -0700

On Sun, May 17, 2020 at 9:44 AM Karl Berry <[email-masked]> wrote:
> I've attempted to construct a patch [attached] following my own
> suggestion :), to create a new variable to allow overriding the "make
> dvi" which is done as part of distcheck with another target. I named the
> variable AM_DISTCHECK_DVI_TARGET (if something else seems better,
> fine). The actual functional change is one line, in distdir.am:
>
> -         && $(MAKE) $(AM_MAKEFLAGS) dvi \
> +         && $(MAKE) $(AM_MAKEFLAGS) $(AM_DISTCHECK_DVI_TARGET) \
>
> All else is overhead. My biggest question is about naming. I simply
> AM_DISTCHECK_DVI_TARGET = dvi
> for the default also in distdir.am. This necessitated adding it to the
> list of AM_* variables allowed to be defined, in Variable.pm:
> -  (AM_MAKEINFOHTMLFLAGS => 1,
> +  (AM_DISTCHECK_DVI_TARGET => 1,
> +   AM_MAKEINFOHTMLFLAGS => 1,
>
>
> Would it be better to use a separate variable, like
> am__distcheck_dvi_target? But then how to know if the user has defined
> AM_DISTCHECK_DVI_TARGET?
>
> Of course any and all comments welcome ... Jim? Anyone? --thanks, karl.

Hi Karl,
That looks fine to me.
Sorry it took so long to reply.